Download the movie of a preview as an attachment. You must have access to the task.
Responses
-
The MP4 movie
-
The preview is still processing. The body has the status and the Retry-After header gives the delay. Only for a client that accepts application/json. Other clients get a 404.
-
A part of the movie, for a Range request
-
You do not have access to the task of this preview
-
The preview file or its file does not exist
GET
/movies/originals/preview-files/{instance_id}/download
curl
curl -X GET "http://api.example.com/movies/originals/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/download" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/movies/originals/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/download"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (202)
{
"status": "processing",
"preview_file_id": "a24a6ea4-ce75-4665-a070-57453082c250"
}